---
title: 我在看什么 · 2023年9月~2024年2月
created: 2024-02-23
summary: 如何设计优秀的 URL / 游戏机黑客词汇表 / Coding Menu / Four Magic Words
tags: 
  - 我在看什么
---

又上班之后看的东西就少了，但还是攒了一些。

## 电子设备
- [E-ink is so Retropunk](https://rmkit.dev/eink-is-so-retropunk/)
- [My E-Reader Setup](https://blog.videah.net/my-e-reader-setup/)  
  - 讲的是 Kobo Libra 2
- 为了NS重启网络知识学习：
	- [游戏机黑客词汇表](https://gledos.science/hacking-game-console-word-list.html)
	- [Nintendo Switch：~联机加速方案的研究与折腾~](https://zankyo.cc/2845/)
	- [OpenWRT路由器加速Switch联机的方案](https://nekodaemon.com/2021/03/02/OpenWRT%E8%B7%AF%E7%94%B1%E5%99%A8%E5%8A%A0%E9%80%9FSwitch%E8%81%94%E6%9C%BA%E7%9A%84%E6%96%B9%E6%A1%88/)
	- [如何让日版主机找到5G信号？](https://www.gcores.com/articles/25847)
	- [Switch自建NAT优化指北](https://blog.z3ratu1.top/Switch%E8%87%AA%E5%BB%BANAT%E4%BC%98%E5%8C%96%E6%8C%87%E5%8C%97.html)
- [介于一般和糟糕之间：文石 Tab Ultra C Pro 测评](https://roriri.one/2023/12/10/boox-tab-c-pro/)
## 写代码
- [【API技术核心原理】REST | GraphQL | gRPC | tRPC](https://www.bilibili.com/video/BV1yL41167fD/)
- [Argon2 vs bcrypt vs. scrypt: which hashing algorithm is right for you?](https://stytch.com/blog/argon2-vs-bcrypt-vs-scrypt/)[Playwright vs Cypress: A Comparison](https://www.browserstack.com/guide/playwright-vs-cypress)
- [Full-Stack TypeScript with tRPC and React](https://www.robinwieruch.de/react-trpc/)
- [How to use the JavaScript bcrypt library](https://flaviocopes.com/javascript-bcrypt/)
- [PWA for Vue applications: A practical guide](https://dev.to/pegahsafaie/pwa-for-vue-applications-a-practical-guide-4de3)  
  - 有点过时了，但我的项目也是过时的，所以能用
- [The Source of Readability](https://loup-vaillant.fr/articles/source-of-readability)
  > - If the thing itself is big, we won’t have much brain space left to understand the surrounding context. The less that context matters the better.
  > - Counting source lines of code only works if you honestly observe similar coding conventions.
  > - Most auto-formatters are liable to add a lot of lines to this function, for no discernible benefit.
- [Passkeys: A No-Frills Explainer On The Future Of Password-Less Authentication — Smashing Magazine](https://www.smashingmagazine.com/2023/10/passkeys-explainer-future-password-less-authentication/) 
  - 没看完，但感觉不错，Passkey的介绍博文
- [JavaScript WTF: Why does every() return true for empty arrays? - Human Who Codes](https://humanwhocodes.com/blog/2023/09/javascript-wtf-why-does-every-return-true-for-empty-array/)
  > Instead of reading every() as “does every item in this array match this condition?” read it as, “is there any item in this array that doesn’t match this condition?” That shift in thinking can help avoid errors in your JavaScript code going forward.
- [性能优化模式](https://tech.meituan.com/2015/12/10/performance-tuning-pattern.html)
- [Simplifying File Saving with JavaScript Blobs and Wails: A Step-by-Step Guide](https://www.shrey.com/blog/simplifying-file-saving-with-javascript-blobs-and-wails-a-step-by-step-guide)
- [How to Persist a Logged-in User in React](https://www.freecodecamp.org/news/how-to-persist-a-logged-in-user-in-react/)
- [开源对象存储服务：Minio – 标点符](https://www.biaodianfu.com/minio.html)
- [探索前端跨组件通信：EventBus在Vue和React中的应用 - 掘金](https://juejin.cn/post/7321271017430908980)
- [重新思考浏览器输入了 URL 并按下回车之后到底发生了什么——本地 DNS 部分](https://nova.moe/rethink-type-url-dns/)
- [Authentication in Nuxt 3](https://dev.to/rafaelmagalhaes/authentication-in-nuxt-3-375o)  
  - 很实用，照着做了
- [FileReader - Web APIs | MDN](https://developer.mozilla.org/en-US/docs/Web/API/FileReader?retiredLocale=de)  
  - 用于图片转Base64
- [Why I’m learning Deno](https://commonlog.jjude.com/why-im-learning-deno/)
- [如何设计优秀的 URL？](https://segmentfault.com/a/1190000044493390)  
  - 比较标题党的一篇文章，并没有说「如何设计」，但是里面一些相关文章还不错：
  - [URL Design · by Kyle Neath](https://warpspire.com/posts/url-design/)
    ![](https://pub-eb20299ee95f451585d2c46aebc230cf.r2.dev/68ef115599338d55544a06f2b5e09a41c76f08df86d8747fbf910cd8db90bcb1.png?name=r6e5SqDyAwOOjw.png)
  - [Four Cool URLs - Alex Pounds’ Blog](https://alexpounds.com/blog/2018/12/29/four-cool-urls)
    ![](https://pub-eb20299ee95f451585d2c46aebc230cf.r2.dev/a669595d6471f3a19f429049ef2a86643418dc59401aeb47c0e5cd21e55c8594.png?name=hfviauAb6nF3Zg.png)
- [console.delight – Frontend Masters Boost](https://frontendmasters.com/blog/console-delight/)

## 杂谈
- [How to Make Learning as Addictive as Social Media | Luis Von Ahn | TED](https://www.youtube.com/watch?v=P6FORpg0KVo)  
	- 讲 Duolingo 是如何借鉴 Social Media App 的机制让人上瘾的，一个是用打卡机制，另一个是用AI选择合适的时间发送App学习提醒。
	  挺有意思的。
- [Superlinear Returns](http://paulgraham.com/superlinear.html)  
	![](https://pub-eb20299ee95f451585d2c46aebc230cf.r2.dev/799382e7bb5233848d64d2c9f9b66f005cabf10b392c88ebbd45697726c35f41.png?name=H7b4BGF28QUXVQ.png)
- [gilest.org: Make the indie web easier](https://gilest.org/indie-easy.html)  
  ![](https://pub-eb20299ee95f451585d2c46aebc230cf.r2.dev/59022fcc9e65db4b2621aeee3e3b097aae8ae45c5b836be76675b593bfa8cfc7.jpeg?name=muWaI4e68RxaWw.jpeg)
- [Rich Bowen: 无论你在创造什么，最终交付的是信任](https://segmentfault.com/a/1190000044267214)
- [How To Code Everyday](https://www.youtube.com/watch?v=a0eB7tMkvs4)
	> Coding Menu就是把不同的Coding Task按时间分类，按当天的精力选取适合的Task
- [互联网故障背后的草台班子们](https://mp.weixin.qq.com/s/e7S_USwAkg6ACLOcHHX9rg)
## 有意思
- [André Staltz - Some people want to run their own servers](https://staltz.com/some-people-want-to-run-their-own-servers.html)
- [Four Magic Words](https://www.fortressofdoors.com/four-magic-words/)  
  - 非常有意思的一篇，看得我坐过站了
- [Illinois｜专辑浅谈｜关于亡灵、UFO、黑鹰、连环杀手、黄蜂、僵尸…与爱](https://mp.weixin.qq.com/s/8_y6Opx2orhhT-phbX_yHg)
- [超还原！three.js复刻原神启动，网页就能玩](https://www.bilibili.com/video/BV1E8411v7xy)
- [zoxide has forever improved the way I navigate in the terminal. - YouTube](https://www.youtube.com/watch?v=aghxkpyRVDY)  
  - cd 命令的替代品，但是我没试过，写完这篇博文试试

## 其他
- [《风花雪月》全人物培养攻略之：青狮学级](https://www.bilibili.com/read/cv3334448/)
  - 吾生也有涯，下棋也无涯
- 书：《网络是怎样连接的》